Bug 200137 - audio/cd2mp3, FIXES MASTER_SITES, takes MAINTAINER'ship
Summary: audio/cd2mp3, FIXES MASTER_SITES, takes MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-12 01:57 UTC by Chris Hutchinson
Modified: 2015-08-13 01:58 UTC (History)
3 users (show)

See Also:


Attachments
svn diff that fixes MASTER_SITES for audio/cd2mp3 (700 bytes, patch)
2015-05-12 01:57 UTC, Chris Hutchinson
no flags Details | Diff
svn diff that fixes MASTER_SITES for audio/cd2mp3 (756 bytes, patch)
2015-07-22 20:01 UTC, Chris Hutchinson
no flags Details | Diff
Revised patch to deal with r392447 fixes (525 bytes, patch)
2015-08-12 03:03 UTC, Jason Unovitch
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2015-05-12 01:57:30 UTC
Created attachment 156673 [details]
svn diff that fixes MASTER_SITES for audio/cd2mp3

Title says it all. :)

I find this a handy little tool. I noticed it was marked broken
due to lack of DISTFILE. I had the file, so I'll mirror it.

CHANGES:
Makefile -- fixes MASTER_SITES, takes MAINTAINER

That's it :)

Thanks!

Chris
Comment 1 mark 2015-07-18 17:04:15 UTC
Fixed MASTER_SITES link for mark.foster.cc
By all means take MAINTAINER if you still want it.
Thanks.
Comment 2 Chris Hutchinson 2015-07-22 20:01:18 UTC
Created attachment 159085 [details]
svn diff that fixes MASTER_SITES for audio/cd2mp3

UPDATES original (attached) svn diff to add the *now* working
MASTER_SITES, as per Marks comment.

Thanks, Mark!

--Chris
Comment 3 Jason Unovitch freebsd_committer 2015-08-12 03:00:01 UTC
Take.
Comment 4 Jason Unovitch freebsd_committer 2015-08-12 03:03:20 UTC
Created attachment 159795 [details]
Revised patch to deal with r392447 fixes

The BROKEN master sites was fixed in 392447 a few weeks ago.
https://svnweb.freebsd.org/ports?view=revision&revision=392447

So this version just adds BSDforge as one of the master sites and sets portmaster@BSDforge.com as the maintainer.
Comment 5 Chris Hutchinson 2015-08-12 05:08:00 UTC
(In reply to Jason Unovitch from comment #4)
> Created attachment 159795 [details]
> Revised patch to deal with r392447 fixes
> 
> The BROKEN master sites was fixed in 392447 a few weeks ago.
> https://svnweb.freebsd.org/ports?view=revision&revision=392447
> 
> So this version just adds BSDforge as one of the master sites and sets
> portmaster@BSDforge.com as the maintainer.

Initially, when I took this on, the (then) MASTER_SITES
was broken. I had the source, and use the port, so I
adopted it, and replaced the (then) broken MASTER_SITES
with my copy of the source. Since then, Mark chimed in,
and indicated he had fixed the the link. So I re-added
the original, leaving mine in place as backup.

So in short; yes. adds myself as MASTER_SITES, and
MAINTAINER. :)

--Chris
Comment 6 commit-hook freebsd_committer 2015-08-13 01:55:50 UTC
A commit references this bug:

Author: junovitch
Date: Thu Aug 13 01:55:08 UTC 2015
New revision: 394048
URL: https://svnweb.freebsd.org/changeset/ports/394048

Log:
  audio/cd2mp3: pass maintainer to submitter, add additional MASTER_SITE

  PR:		200137
  Submitted by:	Chris Hutchinson <portmaster@bsdforge.com>
  Approved by:	Mark Foster <mark@foster.cc> (outgoing maintainer), delphij (mentor)

Changes:
  head/audio/cd2mp3/Makefile
Comment 7 Jason Unovitch freebsd_committer 2015-08-13 01:58:06 UTC
Committed.  Mark, thanks for holding things down in the past and Chris thanks for stepping up to take care of things.

Thanks!